Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.navigation.page
Class ArticleElements

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.navigation.page.ArticleElements

All Implemented Interfaces:
  Cloneable, Iterable<ArticleElement>, Collection<ArticleElement>, List<ArticleElement>, IPdfObjectWrapper

    @PDF(value=PDF11)
    public class ArticleElements

extends PdfObjectWrapper<PdfDictionary>
implements List<ArticleElement>

Article beads [PDF:1.7:8.3.2].

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`boolean` | `add(ArticleElement object)`
`void` | `add(int index, ArticleElement object)`
`boolean` | `addAll(Collection<? extends ArticleElement> objects)`
`boolean` | `addAll(int index, Collection<? extends ArticleElement> objects)`
`void` | `clear()`
`boolean` | `contains(Object object)`
`boolean` | `containsAll(Collection<?> objects)`
`ArticleElement` | `get(int index)`
`int` | `indexOf(Object object)`
`boolean` | `isEmpty()`
`Iterator<ArticleElement>` | `iterator()`
`int` | `lastIndexOf(Object object)`
`ListIterator<ArticleElement>` | `listIterator()`
`ListIterator<ArticleElement>` | `listIterator(int index)`
`ArticleElement` | `remove(int index)`
`boolean` | `remove(Object object)`
`boolean` | `removeAll(Collection<?> objects)`
`boolean` | `retainAll(Collection<?> objects)`
`ArticleElement` | `set(int index, ArticleElement object)`
`int` | `size()`
`List<ArticleElement>` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] objects)`
`static ArticleElements` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Method Detail

### wrap

    public static ArticleElements wrap(PdfDirectObject baseObject)

### add

    public boolean add(ArticleElement object)

  Specified by:
    `add` in interface `Collection<ArticleElement>`
  Specified by:
    `add` in interface `List<ArticleElement>`

### add

    public void add(int index,
                    ArticleElement object)

  Specified by:
    `add` in interface `List<ArticleElement>`

### addAll

    public boolean addAll(Collection<? extends ArticleElement> objects)

  Specified by:
    `addAll` in interface `Collection<ArticleElement>`
  Specified by:
    `addAll` in interface `List<ArticleElement>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends ArticleElement> objects)

  Specified by:
    `addAll` in interface `List<ArticleElement>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<ArticleElement>`
  Specified by:
    `clear` in interface `List<ArticleElement>`

### contains

    public boolean contains(Object object)

  Specified by:
    `contains` in interface `Collection<ArticleElement>`
  Specified by:
    `contains` in interface `List<ArticleElement>`

### containsAll

    public boolean containsAll(Collection<?> objects)

  Specified by:
    `containsAll` in interface `Collection<ArticleElement>`
  Specified by:
    `containsAll` in interface `List<ArticleElement>`

### get

    public ArticleElement get(int index)

  Specified by:
    `get` in interface `List<ArticleElement>`

### indexOf

    public int indexOf(Object object)

  Specified by:
    `indexOf` in interface `List<ArticleElement>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<ArticleElement>`
  Specified by:
    `isEmpty` in interface `List<ArticleElement>`

### iterator

    public Iterator<ArticleElement> iterator()

  Specified by:
    `iterator` in interface `Iterable<ArticleElement>`
  Specified by:
    `iterator` in interface `Collection<ArticleElement>`
  Specified by:
    `iterator` in interface `List<ArticleElement>`

### lastIndexOf

    public int lastIndexOf(Object object)

  Specified by:
    `lastIndexOf` in interface `List<ArticleElement>`

### listIterator

    public ListIterator<ArticleElement> listIterator()

  Specified by:
    `listIterator` in interface `List<ArticleElement>`

### listIterator

    public ListIterator<ArticleElement> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<ArticleElement>`

### remove

    public boolean remove(Object object)

  Specified by:
    `remove` in interface `Collection<ArticleElement>`
  Specified by:
    `remove` in interface `List<ArticleElement>`

### remove

    public ArticleElement remove(int index)

  Specified by:
    `remove` in interface `List<ArticleElement>`

### removeAll

    public boolean removeAll(Collection<?> objects)

  Specified by:
    `removeAll` in interface `Collection<ArticleElement>`
  Specified by:
    `removeAll` in interface `List<ArticleElement>`

### retainAll

    public boolean retainAll(Collection<?> objects)

  Specified by:
    `retainAll` in interface `Collection<ArticleElement>`
  Specified by:
    `retainAll` in interface `List<ArticleElement>`

### set

    public ArticleElement set(int index,
                              ArticleElement object)

  Specified by:
    `set` in interface `List<ArticleElement>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<ArticleElement>`
  Specified by:
    `size` in interface `List<ArticleElement>`

### subList

    public List<ArticleElement> subList(int fromIndex,
                                        int toIndex)

  Specified by:
    `subList` in interface `List<ArticleElement>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<ArticleElement>`
  Specified by:
    `toArray` in interface `List<ArticleElement>`

### toArray

    public <T> T[] toArray(T[] objects)

  Specified by:
    `toArray` in interface `Collection<ArticleElement>`
  Specified by:
    `toArray` in interface `List<ArticleElement>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.